@import "nhsuk-frontend/packages/nhsuk";

@import "components/cookie-message";

html,
body {
  scroll-behavior: smooth;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.page-meta {
  padding: 0;
}

.page-meta hr {
  padding: 0;
  margin: 0;
  width: 100%;
}

.language-switcher {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  padding: 40px 15px 10px 0;
}

.language-switcher p {
  font-size: 16px;
  margin-right: 3rem;
  margin-bottom: 0px;
}

.language-switcher a {
  display: block;
  font-size: 16px;
}

.section-class {
  padding-top: 3rem;
  padding-left: 1rem;
  padding-right: 1rem;
}

.radio-indented {
  display: block;
  border-left: 4px solid rgb(79, 97, 111);
  padding-left: 16px;
  margin-top: 24px;
  margin-bottom: 24px;
}

/*================ Overrides ===============*/
.heading-secondary {
  color: #4c6272; /*#8c8c8c;*/
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 2;
}
.page-header .heading-secondary {
  color: #4c6272; /*rgb(140, 140, 140);*/
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 2;
}

.nhsuk-back-link__link {
  font-weight: 500;
  padding-left: 0;
  padding-top: 20px;
}

.nhsuk-fieldset__legend--m {
  color: rgb(140, 140, 140);
  font-weight: normal;
}

.nhsuk-tag {
  float: right;
  border: none;
  padding: 15px;
}

.nhsuk-flex-group {
  display: flex;
  gap: 15px;
}

.nhsuk-checkbox-flex {
  padding: 10px;
  display: flex;
  flex-direction: column;
}

.nhsuk-container {
  overflow-y: scroll;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5;
  max-width: 100%;
  padding: 4px;
}
.no-bullets {
  list-style-type: none;
  list-style: none;
  margin: 0px;
  padding: 0px;
}
.indent {
  padding-left: 20px !important;
}
.no-indent {
  padding-left: 0px;
}
.no-bullets li {
  list-style-type: none;
  list-style: none;
  margin: 0px;
  padding: 0px;
}
/*================ Media Queries ===============*/
@media screen and (max-width: 769px) {
  .language-switcher {
    flex-direction: column;
    align-items: flex-start;
  }
}

@media screen and (max-width: 641px) {
  .nhsuk-tag {
    font-size: 13px;
    padding: 6px;
  }
}
.someoneElseError {
  padding-left: 16px;
  margin-top: 24px;
  margin-bottom: 24px;
}
.noError {
  border-left: 4px solid #4f616f;
}
.displayBlock {
  display: block;
}
.displayNone {
  display: none;
}

.declaration {
  border: 3px solid #bfc1c3;
  margin-top: 15px;
  overflow: hidden;
  padding: 15px;
  position: relative;
  height: 100vh;
  overflow-y: scroll;
}
.declaration-content {
  position: absolute;
  top: 0;
  left: 0;
  padding: 0 5px;
  background-color: #bfc1c3;
  color: white;
}

